#ifndef __VS1003B_H__
#define __VS1003B_H__
/*
#define VS1003B_PORT    PORTB
#define VS1003B_DDR      DDRB
#define VS1003B_PIN      PINB
#define VS1003B_XCS     0
#define VS1003B_XRESET  1
#define VS1003B_DREQ    2
#define VS1003B_XDCS    3

#define PORT_INI()        VS1003B_DDR = _BV(PB4)|_BV(PB5)|_BV(PB7)|_BV(PB0)|_BV(PB1)|_BV(PB3)
*/

#define DefaultVolume   0x2828
#define VS1003B_PORT    PORTC
#define VS1003B_DDR      DDRC
#define VS1003B_PIN      PINC

#define VS1003B_XCS     3
#define VS1003B_XRESET  0
#define VS1003B_DREQ    1
#define VS1003B_XDCS    2


#define PORT_INI()        VS1003B_DDR |= _BV(VS1003B_XCS)|_BV(VS1003B_XRESET)|_BV(VS1003B_XDCS)

#define VS1003B_XCS_H()    VS1003B_PORT |=  _BV(VS1003B_XCS)
#define VS1003B_XCS_L()    VS1003B_PORT &= ~_BV(VS1003B_XCS)

#define VS1003B_XRESET_H()    VS1003B_PORT |=  _BV(VS1003B_XRESET)
#define VS1003B_XRESET_L()    VS1003B_PORT &= ~_BV(VS1003B_XRESET)

#define VS1003B_XDCS_H()    VS1003B_PORT |=  _BV(VS1003B_XDCS)
#define VS1003B_XDCS_L()    VS1003B_PORT &= ~_BV(VS1003B_XDCS)

void VS1003B_SPI_Low(void);//spi
void VS1003B_SPI_High(void);//spi
unsigned char VS1003B_WriteByte(unsigned char CH);//spiдֽ
unsigned char VS1003B_ReadByte();//spiֽ
void VS1003B_WriteCMD(unsigned char addr, unsigned int dat);//дĴ
unsigned int VS1003B_ReadCMD(unsigned char addr);//Ĵ
void VS1003B_WriteDAT(unsigned char dat);//дݣ
unsigned char VS1003B_Init();//ʼ
void VS1003B_SoftReset();//λ
#endif
